dbXML API

## com.dbxml.db.core.security
Class InvalidRoleException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.dbxml.util.dbXMLException
                  com.dbxml.db.core.DBException
                      com.dbxml.db.core.security.SecurityException
                          com.dbxml.db.core.security.InvalidRoleException

All Implemented Interfaces:
  java.io.Serializable

public class InvalidRoleException
extends SecurityException

InvalidRoleException

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.dbxml.util.dbXMLException
`faultCode`

Constructor Summary
`InvalidRoleException()`
`InvalidRoleException(java.lang.String message)`
`InvalidRoleException(java.lang.String message, java.lang.Throwable wrapped)`
`InvalidRoleException(java.lang.Throwable wrapped)`

Methods inherited from class com.dbxml.util.dbXMLException
`getFaultCode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidRoleException

    public InvalidRoleException()

### InvalidRoleException

    public InvalidRoleException(java.lang.Throwable wrapped)

### InvalidRoleException

    public InvalidRoleException(java.lang.String message)

### InvalidRoleException

    public InvalidRoleException(java.lang.String message,
                                java.lang.Throwable wrapped)

dbXML API

Copyright (c) 2004 The dbXML Group